Package com.trilead.ssh2.crypto.cipher

# Class NullCipher

java.lang.Object
com.trilead.ssh2.crypto.cipher.NullCipher

All Implemented Interfaces:
  `BlockCipher`

public class NullCipher extends Object implements BlockCipher
NullCipher.

## Constructor Summary

Constructors
Constructor
Description
`NullCipher()`
`NullCipher(int blockSize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getBlockSize()`
`void`
`init(boolean forEncryption, byte[] key)`
`void`
`transformBlock(byte[] src, int srcoff, byte[] dst, int dstoff)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullCipher

public NullCipher()

### NullCipher

public NullCipher(int blockSize)

## Method Details

### init

public void init(boolean forEncryption, byte[] key)

Specified by:
  `init` in interface `BlockCipher`

### getBlockSize

public int getBlockSize()

Specified by:
  `getBlockSize` in interface `BlockCipher`

### transformBlock

public void transformBlock(byte[] src, int srcoff, byte[] dst, int dstoff)

Specified by:
  `transformBlock` in interface `BlockCipher`